Subject: Re: bug#10477: zap-to-char should allow picking from history

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 28 Oct 2019 11:48:30 +0100

Juri Linkov <[email-masked]> writes:

> I tried the up arrow because this is what OP asked to implement:
>
>   "zap-to-char should allow typing e.g., the up arrow to pick a recently used
>    character, and then RET."

I wasn't aware that <up> traversed the history -- I've always used
`M-p'.  But, yes, <up> should work in zap-to-char, too, then.

> Using read-from-minibuffer would allow this for free.

How would you implement read-char-with-history using
read-from-minibuffer?  Rebind self-insert-command?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no